Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	qps - visual process manager.
Name:		qps
Version:	1.9.18
Release:	1
License:	GNU/GPL
URL:		http://qps.kldp.net
Group:		System/Utilities
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt-devel 
BuildRequires:  xorg-devel 
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel


%description
Qps is a visual process manager, an X11 version of "top" or "ps" that
displays processes in a window and lets you sort and manipulate them.

%prep
%setup -n %{name}-%{version}

%build
qmake
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_mandir/man1}
install -m 755 qps %{buildroot}%{_prefix}/bin/qps 
install -m 644 qps.1 %{buildroot}%{_mandir}/man1/qps.1
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.9.18-1
- version update
* Wed Nov 23 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.9.11-1
- Initial Release
